org.richfaces.component.html

## Enum HtmlInputNumberSlider.Properties

- java.lang.Object
- - java.lang.Enum<HtmlInputNumberSlider.Properties>
  - - org.richfaces.component.html.HtmlInputNumberSlider.Properties

- All Implemented Interfaces:
    Serializable, Comparable<HtmlInputNumberSlider.Properties>
  Enclosing class:
    HtmlInputNumberSlider

      protected static enum HtmlInputNumberSlider.Properties
      extends Enum<HtmlInputNumberSlider.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accesskey`
    `decreaseClass`
    `decreaseSelectedClass`
    `delay`
    `dir`
    `disabled`
    `enableManualInput`
    `handleClass`
    `handleSelectedClass`
    `handleType`
    `increaseClass`
    `increaseSelectedClass`
    `inputClass`
    `inputPosition`
    `inputSize`
    `label`
    `lang`
    `maxlength`
    `maxValue`
    `minValue`
    `onblur`
    `onchange`
    `onclick`
    `ondblclick`
    `onfocus`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `onselect`
    `readonly`
    `showArrows`
    `showBoundaryValues`
    `showInput`
    `showTooltip`
    `step`
    `style`
    `styleClass`
    `tabindex`
    `title`
    `tooltipClass`
    `trackClass`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HtmlInputNumberSlider.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HtmlInputNumberSlider.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accesskey

          public static final HtmlInputNumberSlider.Properties accesskey

    - #### decreaseClass

          public static final HtmlInputNumberSlider.Properties decreaseClass

    - #### decreaseSelectedClass

          public static final HtmlInputNumberSlider.Properties decreaseSelectedClass

    - #### delay

          public static final HtmlInputNumberSlider.Properties delay

    - #### dir

          public static final HtmlInputNumberSlider.Properties dir

    - #### disabled

          public static final HtmlInputNumberSlider.Properties disabled

    - #### enableManualInput

          public static final HtmlInputNumberSlider.Properties enableManualInput

    - #### handleClass

          public static final HtmlInputNumberSlider.Properties handleClass

    - #### handleSelectedClass

          public static final HtmlInputNumberSlider.Properties handleSelectedClass

    - #### handleType

          public static final HtmlInputNumberSlider.Properties handleType

    - #### increaseClass

          public static final HtmlInputNumberSlider.Properties increaseClass

    - #### increaseSelectedClass

          public static final HtmlInputNumberSlider.Properties increaseSelectedClass

    - #### inputClass

          public static final HtmlInputNumberSlider.Properties inputClass

    - #### inputPosition

          public static final HtmlInputNumberSlider.Properties inputPosition

    - #### inputSize

          public static final HtmlInputNumberSlider.Properties inputSize

    - #### label

          public static final HtmlInputNumberSlider.Properties label

    - #### lang

          public static final HtmlInputNumberSlider.Properties lang

    - #### maxValue

          public static final HtmlInputNumberSlider.Properties maxValue

    - #### maxlength

          public static final HtmlInputNumberSlider.Properties maxlength

    - #### minValue

          public static final HtmlInputNumberSlider.Properties minValue

    - #### onblur

          public static final HtmlInputNumberSlider.Properties onblur

    - #### onchange

          public static final HtmlInputNumberSlider.Properties onchange

    - #### onclick

          public static final HtmlInputNumberSlider.Properties onclick

    - #### ondblclick

          public static final HtmlInputNumberSlider.Properties ondblclick

    - #### onfocus

          public static final HtmlInputNumberSlider.Properties onfocus

    - #### onkeydown

          public static final HtmlInputNumberSlider.Properties onkeydown

    - #### onkeypress

          public static final HtmlInputNumberSlider.Properties onkeypress

    - #### onkeyup

          public static final HtmlInputNumberSlider.Properties onkeyup

    - #### onmousedown

          public static final HtmlInputNumberSlider.Properties onmousedown

    - #### onmousemove

          public static final HtmlInputNumberSlider.Properties onmousemove

    - #### onmouseout

          public static final HtmlInputNumberSlider.Properties onmouseout

    - #### onmouseover

          public static final HtmlInputNumberSlider.Properties onmouseover

    - #### onmouseup

          public static final HtmlInputNumberSlider.Properties onmouseup

    - #### onselect

          public static final HtmlInputNumberSlider.Properties onselect

    - #### readonly

          public static final HtmlInputNumberSlider.Properties readonly

    - #### showArrows

          public static final HtmlInputNumberSlider.Properties showArrows

    - #### showBoundaryValues

          public static final HtmlInputNumberSlider.Properties showBoundaryValues

    - #### showInput

          public static final HtmlInputNumberSlider.Properties showInput

    - #### showTooltip

          public static final HtmlInputNumberSlider.Properties showTooltip

    - #### step

          public static final HtmlInputNumberSlider.Properties step

    - #### style

          public static final HtmlInputNumberSlider.Properties style

    - #### styleClass

          public static final HtmlInputNumberSlider.Properties styleClass

    - #### tabindex

          public static final HtmlInputNumberSlider.Properties tabindex

    - #### title

          public static final HtmlInputNumberSlider.Properties title

    - #### tooltipClass

          public static final HtmlInputNumberSlider.Properties tooltipClass

    - #### trackClass

          public static final HtmlInputNumberSlider.Properties trackClass

  - ### Method Detail

    - #### values

          public static HtmlInputNumberSlider.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HtmlInputNumberSlider.Properties c : HtmlInputNumberSlider.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HtmlInputNumberSlider.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.